using System;

internal sealed class Delegate174 : MulticastDelegate
{
	public extern int Invoke(ref DateTime dateTime_0);

	public static int smethod_0(ref DateTime dateTime_0, Delegate174 delegate174_1)
	{
		return delegate174_1(ref dateTime_0);
	}

	public extern Delegate174(object object_0, IntPtr intptr_0);

	static Delegate174()
	{
		Class10.smethod_13(typeof(Delegate174).TypeHandle);
	}

	internal static Delegate174 delegate174_0;
}
